# Variable data`Const`

data: {
get: ((dataId: string, options?: GetDataOptions) => Promise<FeatureCollection>);
} = ...

The data namespace contains an asynchronous function to call the MapTiler Data API. The Data API provides a way to retrieve user data in GeoJSON format.

#### Type declaration

- ##### get: ((dataId: string, options?: GetDataOptions) => Promise<FeatureCollection>)

  - - (dataId: string, options?: GetDataOptions): Promise<FeatureCollection>

    - Get user data and returns it as GeoJSON using the MapTiler API. Learn more on the MapTiler API reference page: https://docs.maptiler.com/cloud/api/data/#geojson

      ### Returns

      #### Parameters

      - ##### dataId: string

      - ##### options: GetDataOptions = {}

      #### Returns Promise<FeatureCollection>

- Defined in services/data.ts:59

Generated using TypeDoc